﻿@model StripePaymentModels
<div class="full-width">

    <section class="col-xs-12 col-sm-12 col-md-12 col-lg-12 text-center stripe-container clearfix">

        <div class="error-div">
            <span class="payment-errors"></span>
        </div>

        <div class="JbSection">
            <div class="JbForm static bb-input-style">

                <div class="form-group">
                    <label class="req">Routing number</label>
                    <div class="input-control text" data-role="input-control">
                        <input type="text" size="20" data-stripe="number" id="txtRoutingNumber" />
                    </div>
                </div>
                <div class="form-group">
                    <label class="req">Account number</label>
                    <div class="input-control text" data-role="input-control">
                        <input type="text" size="20" data-stripe="number" id="txtAccountNumber" />
                    </div>
                </div>


                @using (Html.BeginForm("AchPayment", "Stripe", FormMethod.Post, new { role = "form", id = "frmCharge" }))
                {

                    @Html.AntiForgeryToken()

                    <div class="form-group">
                        <span class="error-message">
                            @Html.ValidationMessageFor(model => model.CardHolderName)
                        </span>
                        @Html.LabelFor(model => model.CardHolderName, new { @class = "req" })
                        <div class="input-control" data-role="input-control">
                            @Html.TextBoxFor(model => model.CardHolderName, new { id = "txtCardHolderName" })
                        </div>
                    </div>

                    <div class="form-group">
                        @Html.DropDownListFor(model => model.SelectedAccountType, Model.AccountType, "Select your account type", new { id = "txtAccountType", @class = "form-control" })

                        @Html.ValidationMessageFor(model => model.SelectedAccountType)
                    </div>


                    @Html.HiddenFor(model => model.Token, new { id = "hdnToken" })
                    @Html.HiddenFor(model => model.CreateTokenResponse, new { id = "hdnCreateTokenResponse" })
                    @Html.HiddenFor(model => model.ConfirmationId, new { id = "hdnConfirmationId" })
                    @Html.HiddenFor(model => model.UserId, new { id = "hdnUserId" })
                    @Html.HiddenFor(model => model.ActionCaller, new { id = "hdnActionCaller" })
                    @Html.HiddenFor(model => model.PayableAmount, new { id = "hdnPayableAmount" })

                    <div class="form-group">
                        <button type="submit" id="achPaymentWithStripe" class="btn btn-jb jb-lg-btn">Pay Now (@CurrencyHelper.FormatCurrencyWithPenny(Model.PayableAmount, Model.Currency))</button>
                    </div>
                }
            </div>
        </div>

    </section>
</div>



<link href="~/Content/Student/Stripe/Stripe.css" rel="stylesheet" />
<script type="text/javascript" src="https://js.stripe.com/v2/"></script>
<script type="text/javascript" src="~/Scripts/Libraries/jquery.mask.min.js"></script>
<script type="text/javascript">
    $('document').ready(function () {
        Stripe.setPublishableKey('@Model.PublishableKey');

        $('#achPaymentWithStripe').on('click', function (e) {
            e.preventDefault();
            e.stopPropagation();
            $('#achPaymentWithStripe').prop('disabled', true);
            // Disable the submit button to prevent repeated clicks. Run the progress bar or loading
            var errormessage = '';

            if (errormessage != '') {
                $(".payment-errors").html(errormessage);
                $('#achPaymentWithStripe').prop('disabled', false);
            }
            else {
                Stripe.bankAccount.createToken({
                    country: 'US',
                    currency: 'USD',
                    routing_number: $('#txtRoutingNumber').val(),
                    account_number: $('#txtAccountNumber').val(),
                    account_holder_name: $('#txtCardHolderName').val(),
                    account_holder_type: $('#txtAccountType').val()
                }, stripeResponseHandler);


            }
        });

        function stripeResponseHandler(status, response) {
            // Check Status first

            if (response.error) {
                $('.payment-errors').text(response.error.message);
                $('#achPaymentWithStripe').prop('disabled', false);
            } else {
                var token = response.id;
                alert(token);
                $('#hdnCreateTokenResponse').val(response);
                $('#hdnToken').val(token);
                $('#frmCharge').get(0).submit();
            }
        }
    });
</script>
